Subject: bug#61403: 30.0.50; C tree-sitter bug?

From: Eli Zaretskii <[email-masked]>
Date: Sun, 12 Feb 2023 14:31:06 +0200

> From: Po Lu <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sun, 12 Feb 2023 18:30:41 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I admit I don't understand the problem that is the subject of this
> > bug.  Why is it wrong to fontify TEST_STATIC as a type?  CC mode also
> > fontifies it as a type, btw.
> 
> Yes, but CC Mode provides `c-noise-macro-names'.  I said something
> similar should exist in c-ts-mode at the beginning of this thread.

Maybe so, but not for this case: I see absolutely no reason to
"de-fontify" TEST_STATIC here, as it is part of the type.

> > The only problem I see in what c-ts-mode does is that it does NOT
> > fontify 'char', whereas CC mode does.  So if anything needs to be done
> > here, we need to look into why 'char' is not fontified by c-ts-mode.
> 
> Apparently tree-sitter thinks only TEST_STATIC is the type, and
> everything else is a syntactic error.

Whatever the reasons, we need to try to fix this part.